#
# spec file for package musictex (Version T.99)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  tetex
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim

Name:         musictex
Copyright:    1995-2001 Daniel Taupin
Group:        Applications/Publishing/TeX
Provides:     MusiXTeX 
Requires:     tetex
Conflicts:    ntex
Autoreqprov:  on
Version:      T.99
Release:      134
Summary:      MusiXTeX
Source0: musixtex-T99.tar.bz2
Source1: musixexa-T99.tar.bz2
Patch:   musixtex-T99.dif

%description
This packages is only usable for TeX-experts with musical ambitions.
It contains a music Tex format file musixtex for direct usage onto TeX music
files.
LaTeX users should use the corresponding style file.  For a description you
should look under /usr/share/texmf/doc/musixtex/.

Authors:
--------
    Daniel Taupin <taupin@lps.u-psud.fr>
    Ross Mitchell <rmm@dar.csiro.au>
    Andreas Egler <Andreas_Egler@wob.maus.de>

SuSE series: tex

%prep
%setup -c -n musixtex-T99 -a1
%patch

%build
TEXINPUTS=:$PWD/tex/:.
TEXFONTS=:$PWD/tfm/:.
MFINPUTS=:$PWD/mf/:.
TEXFORMATS=:$PWD/tex/:.
PATH=/usr/bin/TeX:$PATH
export TEXINPUTS TEXFONTS MFINPUTS PATH TEXFORMATS
rm -f musixflx
gcc -O2 -o musixflx systems/c-source/musixflx.c
(
    cd doc/
    rm -rf musixdoc.dvi
    latex musixdoc
    ../musixflx musixdoc
    latex musixdoc
    makeindex musixdoc.idx
    latex musixdoc
    makeindex musixdoc.idx
    latex musixdoc
    latex musixdoc
)
(
    cd tex/
    tex musixref
    ../musixflx musixref
    tex musixref
)
(
    cd tex/
    initex '&tex \def\fmtname{musixtex} \def\fmtversion{\mxversion} \input musixtex.ins'
)
(
    cd examples/
    function mxtex {
	virtex '&musixtex' $1
	../musixflx $1
	virtex '&musixtex' $1
    }
    touch recueil.toc
    for f in *.tex ; do
	grep -qE '\\(bye|end)$' $f || continue
	mxtex ${f%.*}
    done
)

%install
OS=linux
%ifarch i386
CPU=i386
%else
CPU=${RPM_ARCH}
%endif
set -- /lib/libc.so.[0-9]*
eval LIB=\${${#}##*so.}
HOST=$CPU-$OS
case "$LIB" in
  [6-9]*) BINARY=$CPU-$OS-glibc ;;
  *)      BINARY=$CPU-$OS-libc5 ;;
esac
if [ -d /usr/lib/teTeX/texmf ] ; then
	TETEX_DIR=/usr/lib/teTeX/texmf
	TETEX_BIN=/usr/lib/teTeX/bin/i386-linux
fi
if [ -d /usr/share/texmf ] ; then
	TETEX_DIR=/usr/share/texmf
	TETEX_BIN=/usr/share/texmf/teTeX/bin/$BINARY
fi
install -s -m 0755 musixflx $TETEX_BIN
mkdir -p $TETEX_DIR/tex/generic/musixtex
mkdir -p $TETEX_DIR/fonts/source/public/musixtex
mkdir -p $TETEX_DIR/fonts/tfm/public/musixtex
mkdir -p $TETEX_DIR/fonts/pk/public/musixtex
mkdir -p $TETEX_DIR/doc/musixtex/examples
(
    cd tex/
    install -c -m 0444 *.sty *.tex *.ins $TETEX_DIR/tex/generic/musixtex/
    install -c -m 0444 musixref.tex $TETEX_DIR/doc/musixtex/
    install -c -m 0644 musixref.dvi $TETEX_DIR/doc/musixtex/
    install -c -m 0644 musixtex.fmt $TETEX_DIR/web2c/
    ln -sf virtex $TETEX_BIN/musixtex
)
install -m 0755 musictex.sh $TETEX_BIN/musictex
(
    cd doc/
    install -c -m 0444 *.tex *.sty $TETEX_DIR/doc/musixtex/
    install -c -m 0644 *.dvi       $TETEX_DIR/doc/musixtex/
    ln -sf $TETEX_DIR/doc/musixtex %{_defaultdocdir}/musixtex
)
(
    cd examples/
    install -c -m 0444 *.tex $TETEX_DIR/doc/musixtex/examples/
    install -c -m 0644 *.dvi $TETEX_DIR/doc/musixtex/examples/
)
(
    cd mf/
    install -c -m 0444 *.mf $TETEX_DIR/fonts/source/public/musixtex/
)
(
    cd tfm/
    install -c -m 0444 *.tfm $TETEX_DIR/fonts/tfm/public/musixtex/
)
rm -f new_filelist
if [ -d /usr/share/texmf ] ; then
  ln -sf  ../share/texmf/teTeX/bin/$BINARY/musixtex /usr/bin/musixtex
  ln -sf  ../share/texmf/teTeX/bin/$BINARY/musictex /usr/bin/musictex
  ln -sf  ../share/texmf/teTeX/bin/$BINARY/musixflx /usr/bin/musixflx
  echo "/usr/bin/musixtex" >> new_filelist
  echo "/usr/bin/musictex" >> new_filelist
  echo "/usr/bin/musixflx" >> new_filelist
  echo "/var/lib/texmf/web2c/musixtex.fmt" >> new_filelist
fi
echo "$TETEX_BIN/musixtex" >> new_filelist
echo "$TETEX_BIN/musictex" >> new_filelist
echo "$TETEX_BIN/musixflx" >> new_filelist
echo "%doc $TETEX_DIR/doc/musixtex" >> new_filelist
echo "$TETEX_DIR/tex/generic/musixtex" >> new_filelist
echo "$TETEX_DIR/fonts/source/public/musixtex" >> new_filelist
echo "$TETEX_DIR/fonts/tfm/public/musixtex" >> new_filelist
echo "$TETEX_DIR/fonts/pk/public/musixtex" >> new_filelist

%post
mkdir -p var/adm/SuSEconfig ; touch var/adm/SuSEconfig/run-texhash

%files -f new_filelist
%doc %{_defaultdocdir}/musixtex

%changelog -n musictex
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Wed Feb 28 2001 - werner@suse.de
- Take missing samples back to the package
* Tue Feb 27 2001 - werner@suse.de
- Update to T.99
* Thu Dec 14 2000 - werner@suse.de
- Group tag
* Wed Jun 07 2000 - ro@suse.de
- doc relocation
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon May 03 1999 - ro@suse.de
- updated libc-detection
* Thu Dec 17 1998 - werner@suse.de
- Add forgotten format
* Thu Nov 12 1998 - werner@suse.de
- Use correct binary path for new tetex
* Wed Oct 07 1998 - ro@suse.de
- hacked spec to build with both versions of tetex
* Fri Feb 27 1998 - werner@suse.de
- Update to MusiXTeX Version 0.86
- Remove postinstall script
* Tue Nov 11 1997 - werner@suse.de
- Update to MusiXTeX Version 0.81 (Taupin)
  Note:  It's written with X not with c : MusiXTeX
* Tue Feb 11 1997 - werner@suse.de
- neu gepackt, da sich teTeX gendert hat.
